Name: mangoquest
Version: 0.6.4
Release: alt4

Summary: The Blue Mango Quest
Group: Games/Arcade
License: GPL

Source: %name-%version.tar.bz2
Source1: %name.16.xpm
Source2: %name.32.xpm
Source3: %name.48.xpm

Patch0: mangoquest_dir.patch

BuildPreReq: Mesa-common-devel XFree86-devel libSDL-devel libSDL_mixer-devel libSDL_ttf-devel

%description
  The Blue Mango Quest is a 3D arcade game that uses OpenGL and SDL.
The goal is to extend the pacman-style gameplay in several ways.
You see what the main character sees (like in traditional FPS games),
and you'll find about 20 items (bonus and malus) that will give you
a lot of fun. An easy to use yet powerfull 2D level editor is also
provided. 


%prep
%setup -q
%patch0 -p1


%build
#export CFLAGS="%optflags" CXXFLAGS="%optflags"
pushd mangopeeler
    aclocal
    automake --foreign
    autoconf
    %configure --with-gl-libs=%_x11dir/lib --bindir=%_gamesbindir --datadir=%_gamesdatadir
    %make_build
popd
    aclocal
    automake --foreign
    autoconf
    %configure --with-gl-libs=%_x11dir/lib --bindir=%_gamesbindir --datadir=%_gamesdatadir
    %make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT bindir=%_gamesbindir datadir=%_gamesdatadir

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_gamesbindir/%name" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Blue Mango Quest"\
		  longtitle="3D arcade game with pacman-style gameplay"
EOF
cat <<EOF >$RPM_BUILD_ROOT%_menudir/mangopeeler
?package(%name):command="%_gamesbindir/mangopeeler" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Blue Mango Level Editor"\
		  longtitle="Level editor for Blue Mango Quest"
EOF

mkdir -p $RPM_BUILD_ROOT%_iconsdir $RPM_BUILD_ROOT%_miconsdir $RPM_BUILD_ROOT%_liconsdir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README
%_gamesbindir/*
%_gamesdatadir/%name
%_gamesdatadir/mangopeeler
%_menudir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Mon Oct 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.4-alt4
- rebuild with gcc3.2

* Fri Feb 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.6.4-alt3
- Rebuilt with new SDL.

* Thu Oct 25 2001 Sergey V Turchin <zerg@altlinux.ru> 0.6.4-alt2
- fix %%Group

* Sat Oct 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.6.4-alt1
- Fixed build bug with searching files in buildroot
- Some spec cleanup
- 0.6.4

* Tue Sep 04 2001 Sergey V Turchin <zerg@altlinux.ru> 0.6.3-alt1
- new version

* Fri Aug 24 2001 Sergey V Turchin <zerg@altlinux.ru> 0.6.2-alt1
- build for ALT
